from dl.models.config.base import BaseConfig

class CMCS_Config:
    def __init__(self, args, hidden_states=True):
        self.dataset = args.dataset
        self.dense_dim = args.dense_dim
        self.latent_dim = args.latent_dim
        self.hidden_states = hidden_states
        self.num_sampling = args.num_sampling
        self.nth_root = args.nth_root
        self.t_iter = args.max_steps

class CMCS_Unsuper_Config(CMCS_Config):
    def __init__(self, args, hidden_states=True):
        super(CMCS_Unsuper_Config, self).__init__(args, hidden_states)
        self.prior_list = args.prior_list